"use strict";
cc._RF.push(module, 'd55f0WU0IxNv4Sl+NOgYEUf', '3');
// demo/FangZhi/3.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        alchemy: cc.Node,
        gold: cc.Label
    },

    onLoad: function onLoad() {},

    click: function click() {
        var rate = require("data_3").alchemyFurnace[0];
        this.gold.string = parseInt(this.gold.string) + 1 * rate;
        var actionBy = cc.scaleTo(0.1, 1.5);
        var actionBy2 = cc.scaleTo(0.1, 1);
        var action = cc.sequence(actionBy, actionBy2);
        this.gold.node.runAction(action);
    }
});

cc._RF.pop();